Delete profile picture
curl --request DELETE \
--url https://{host}/api/{session}/profile/picture \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/profile/picture"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/profile/picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/{session}/profile/picture",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/{session}/profile/picture"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("apikey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{host}/api/{session}/profile/picture")
.header("apikey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/{session}/profile/picture")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["apikey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true
}
Profile
Remove Picture
Remove the user profile picture in the WhatsApp session
DELETE
/
api
/
{session}
/
profile
/
picture
Delete profile picture
curl --request DELETE \
--url https://{host}/api/{session}/profile/picture \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/profile/picture"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/profile/picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/{session}/profile/picture",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/{session}/profile/picture"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("apikey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{host}/api/{session}/profile/picture")
.header("apikey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/{session}/profile/picture")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["apikey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true
}
Description
This endpoint allows you to remove the profile picture of the user authenticated in the WhatsApp session. After removal, the profile will have no display picture.URL Parameters
Response
{
"success": true
}
Status Codes
200- Picture removed successfully400- Invalid parameters401- Unauthorized404- Picture not found500- Internal server error
Usage Example
curl -X DELETE https://api.wappfy.com.br/api/my-session/profile/picture
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/profile/picture`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.delete(f'https://api.wappfy.com.br/api/{session}/profile/picture')
data = response.json()
print(data)
Observations
- This operation completely removes the profile picture
- The profile will have no display image after removal
- To add a new picture, use the PUT /api//profile/picture endpoint
